Bug 2070001

Summary: Space reclaiming fails on a blank Satellite
Product: Red Hat Satellite Reporter: Vladimír Sedmík <vsedmik>
Component: Capsule - ContentAssignee: wclark
Status: CLOSED ERRATA QA Contact: Vladimír Sedmík <vsedmik>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 6.11.0CC: chrobert, zhunting
Target Milestone: 6.12.0Keywords: Triaged
Target Release: Unused   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-11-16 13:33:45 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
Foreman production.log none

Description Vladimír Sedmík 2022-03-30 09:14:53 UTC
Created attachment 1869286 [details]
Foreman production.log

Description of problem:
There is new functionality to reclaim space on the internal capsule. However, when I try it on a blank (no content sync yet), it fails with error.


Version-Release number of selected component (if applicable):
6.11 snap 14


How reproducible:
always


Steps to Reproduce:
1. Have a blank SAT
2. Go to Infrastructure > Capsules > {SAT_FQDN} > click Reclaim Space


Actual results:
Reclaim task is started and fails with this error:

Error message: the server returns an error
HTTP status code: 400
Response headers: {"Date"=>"Wed, 30 Mar 2022 08:14:43 GMT", "Server"=>"gunicorn", "Content-Type"=>"application/json", "Vary"=>"Accept,Cookie", "Allow"=>"POST, OPTIONS", "X-Frame-Options"=>"DENY", "Content-Length"=>"34", "X-Content-Type-Options"=>"nosniff", "Referrer-Policy"=>"same-origin", "Correlation-ID"=>"417075ed-101f-4b36-99ab-1e1c75c037cf", "Access-Control-Expose-Headers"=>"Correlation-ID", "Via"=>"1.1 dhcp-3-103.vms.sat.rdu2.redhat.com", "Connection"=>"close"}
Response body: {"repo_hrefs":["Must not be []."]}


Expected results:
No errors.


Additional info:
When some content is synced, the reclaim succeeds.

Comment 2 wclark 2022-05-17 15:06:39 UTC
Created redmine issue https://projects.theforeman.org/issues/34932 from this bug

Comment 3 Bryan Kearney 2022-05-23 16:04:37 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/34932 has been resolved.

Comment 4 Vladimír Sedmík 2022-07-29 16:30:49 UTC
Verified in 6.12.0 snap 4.0 - space reclaim on a blank Satellite now shows "There is no downloaded content to clean." in UI and production log.

Comment 8 errata-xmlrpc 2022-11-16 13:33:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.12 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:8506